SDL_GPUBufferRegion(3type)

NAME
SDL_GPUBufferRegion - A structure specifying a region of a buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUBufferRegion
{
    SDL_GPUBuffer *buffer;  /**< The buffer. */
    Uint32 offset;          /**< The starting byte within the buffer. */
    Uint32 size;            /**< The size in bytes of the region. */
} SDL_GPUBufferRegion;

DESCRIPTION
Used when transferring data to or from buffers.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_UploadToGPUBuffer(3), •(3), SDL_DownloadFromGPUBuffer(3)